Last Comment Bug 346130 - "Reuse the frontmost window" is dangerous
: "Reuse the frontmost window" is dangerous
Status: VERIFIED FIXED
: verified1.8.1
Product: Camino Graveyard
Classification: Graveyard
Component: Preferences (show other bugs)
: unspecified
: PowerPC Mac OS X
-- normal (vote)
: Camino1.5
Assigned To: froodian (Ian Leue)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-27 10:31 PDT by Ben Goodger (use ben at mozilla dot org for email)
Modified: 2006-09-07 09:48 PDT (History)
7 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
New Tabs.nib (10.79 KB, application/zip)
2006-08-08 17:17 PDT, froodian (Ian Leue)
alqahira: review+
mikepinkerton: superreview+
Details
Screenshot (60.26 KB, image/png)
2006-08-21 20:06 PDT, froodian (Ian Leue)
no flags Details

Description User image Ben Goodger (use ben at mozilla dot org for email) 2006-07-27 10:31:44 PDT
In Camino Tab Preferences, the option for "resusing" the last window when opening links from other applications is dangerous IMO. 

It is too easy to forget what window you had open, and if you have complex session state stored in that window have it clobbered accidentally when you click a link in IM etc. 

I would recommend removing this option (leaving it in your preferences plist for people who know what they're doing if some folk like the feature).
Comment 1 User image Samuel Sidler (old account; do not CC) 2006-07-27 10:41:41 PDT
I definitely agree with this. It also lessens the preferences a bit more and makes them look cleaner.

Mike?
Comment 2 User image Mike Pinkerton (not reading bugmail) 2006-07-27 11:28:02 PDT
make it so.
Comment 3 User image Chris Lawson (gone) 2006-08-02 20:37:48 PDT
Someone should file a follow-up bug on documenting the soon-to-be-hidden third option for this pref.
Comment 4 User image froodian (Ian Leue) 2006-08-08 17:17:26 PDT
Created attachment 232825 [details]
New Tabs.nib

This does as described (no Tabs.mm changes necessary), but now that the reuse pref is gone, the whole radio matrix seems redundant.  Are there really that many people who want cmd-click to open new windows, but want external links to open in new tabs (or visa versa)?  I'm inclined to think we should just roll the whole matrix into the Cmd-click on link matrix.  Thoughts?
Comment 5 User image Samuel Sidler (old account; do not CC) 2006-08-08 17:25:30 PDT
As long as we keep the option as a hidden pref (and document it as Chris says in comment 5), I agree as well.

Mike, do you agree with froodian's comment 4 too?
Comment 6 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-08-08 17:50:38 PDT
How would you title that pref?  

Or does this become "Enable tabbed browsing" check box with hint text "Command () clicking on links and links from other applications (links opened from Mail, iChat, Address Book, etc.) will obey this setting" (and which takes the mixed state if you've toggled "other apps" to reuse)?
Comment 7 User image Samuel Sidler (old account; do not CC) 2006-08-08 17:55:08 PDT
(In reply to comment #6)
> Or does this become "Enable tabbed browsing" check box with hint text...

That's basically what happens, yeah. This kind of merges with bug 346129 and bug 346128. We shouldn't have prefs that won't be used much.

I think Mike needs to make this call though.
Comment 8 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-08-08 17:59:59 PDT
The other alternative is to make two checkboxes rather than one (or than one and a matrix like currently), one box per pref, with the second taking the mixed state when set to reuse.
Comment 9 User image froodian (Ian Leue) 2006-08-08 18:07:17 PDT
I was actually picturing a two-button radio matrix, something like

Cmd-click on links and external links:  0 open in new windows
                                        o open in new tabs

However, the wording is obviously an issue (especially given that we can't have anywhere near that much text on the left side of the "divider."  Additionally, using checkboxes instead lets us have a mixed state for the (4?) unexposed settings, so I think I'd be in favor of checkboxes over radios.

Either way though, we should really wait until Mike says yay or nay before making specific implementation plans.
Comment 10 User image Torben 2006-08-09 01:18:15 PDT
> Are there really that
> many people who want cmd-click to open new windows, but want external links to
> open in new tabs (or visa versa)? 

Is there anyone who doesn't? You people are crazy ;-)
Comment 11 User image Mike Pinkerton (not reading bugmail) 2006-08-11 19:09:03 PDT
i have cmd click open in a new tab and urls from an app open in a new window.
Comment 12 User image froodian (Ian Leue) 2006-08-11 23:45:48 PDT
Comment on attachment 232825 [details]
New Tabs.nib

I'll take that as a no.  Therefore, requesting review on just getting rid of "Reuse"
Comment 13 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-08-12 03:09:25 PDT
Comment on attachment 232825 [details]
New Tabs.nib

r=ardissone
Comment 14 User image Mike Pinkerton (not reading bugmail) 2006-08-21 14:02:05 PDT
what does this patch do again? there was so much discussion.
Comment 15 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-08-21 16:34:08 PDT
Comment on attachment 232825 [details]
New Tabs.nib

It just removes the "Reuse the frontmost window" setting from "Links from other applications", which is what we understood you wanted ;)
Comment 16 User image froodian (Ian Leue) 2006-08-21 20:06:51 PDT
Created attachment 234897 [details]
Screenshot

Ignore my crazy toolbar.
Comment 17 User image Mike Pinkerton (not reading bugmail) 2006-08-22 06:17:14 PDT
Comment on attachment 232825 [details]
New Tabs.nib

rs=pink
Comment 18 User image froodian (Ian Leue) 2006-09-05 08:31:54 PDT
Checked in on trunk and 1.8branch
Comment 19 User image Paul Borokhov (lensovet) 2006-09-06 21:40:16 PDT
ARGHHHHHHH why did this happen? there was nothing ambiguous about the option. the worst that could happen if you had a "complex" state is that you would just click "back" in one of the tabs – there's no way to open multiple tabs from other apps anyway. how many "complaints" about this did we have? just make sure it's not a default option and be done with it...
additionally, how are we treating the inconsistency between the hidden pref and radio grid? unlike checkboxes, which can now show a "mixed" state for user-modified prefs, this implementation has no way of showing what's actually in your prefs file and no way of finding out if the current state, as displayed, is actually what's in your prefs files.
Comment 20 User image krmathis@gmail.com 2006-09-07 08:32:06 PDT
Verified fixed in 1.8 branch and trunk

Note You need to log in before you can comment on or make changes to this bug.